#!/bin/sh

mkdir -p deploy/love

# make sure we have löve
cd deploy/love
if [ ! -e love-0.8.0-win-x86.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-win-x86.zip
    unzip love-0.8.0-win-x86.zip || exit 1
fi
if [ ! -e love-0.8.0-macosx-ub.zip ]; then
    wget https://bitbucket.org/rude/love/downloads/love-0.8.0-macosx-ub.zip
    unzip love-0.8.0-macosx-ub.zip || exit 1
fi
cd ../..

# make the love file
V=`bzr version-info --custom --template={revno}`
echo "VERSION = '$V'" >version.lua
rm -f deploy/spacey-nova.love
bzr ls -RV |zip -q@ deploy/spacey-nova.love
bzr revert --no-backup version.lua

cd deploy

# package win32
rm -rf spacey-nova-win32 spacey-nova-win32.zip
mkdir spacey-nova-win32
cat love/love-0.8.0-win-x86/love.exe spacey-nova.love >spacey-nova-win32/spacey-nova.exe
cp love/love-0.8.0-win-x86/*.dll spacey-nova-win32
# TODO: this is a spot I could copy a README, LICENSE, or VERSION file in.
zip -qr spacey-nova-win32.zip spacey-nova-win32

# package osx
rm -rf spacey-nova.app spacey-nova-macosx.zip
cp -r love/love.app spacey-nova.app
cp spacey-nova.love spacey-nova.app/Contents/Resources/
cp ../Info.plist spacey-nova.app/Contents/
zip -qry spacey-nova-macosx.zip spacey-nova.app

cd ..
